
// Solar reference model for comparison to our solar solution
// ApJ, 387, 372 (1992) Guenther, D.B, Demarque, P., Kim, Y-C., Pinsonneault, M.
//
//  Table 3A - Sandard Reference Model
//
//  Sample every 40th shell up to just 0ver 0.95 fractional radius 

  var numRefDeps = function(){
     var numRefDeps = 20;
     return numRefDeps;
  };

//Solar reference model:
// Original shell number, for reference:

 var iRef = function(){
 
    var iSunRef = [];
    iSunRef.length = numRefDeps();
 
    iSunRef = [1,
	      41,
	      81,
	     121,
	     161,
	     201,
	     241,
	     281,
	     321,
	     361,
	     401,
	     441,
	     481,
	     521,
	     561,
	     601,
	     641,
	     681,
             721,
             761];
	      
    return iSunRef;

 };

//
//Solar reference model:
// Fractional radius:
//

 var rRef = function(){

    var rSunRef = [];
    rSunRef.length = numRefDeps(); 

    rSunRef = [6.593E-3, 
	       6.256E-2,
	       1.164E-1,
	       1.879E-1,
	       2.583E-1, 
	       3.235E-1,
	       3.881E-1,
	       4.546E-1,
	       5.242E-1,
	       5.968E-1,
	       6.715E-1,
	       7.449E-1,
	       8.074E-1,
	       8.576E-1,
	       8.960E-1,
	       9.244E-1,
	       9.450E-1,
	       9.599E-1,
	       9.705E-1,
	       9.781E-1];

     return rSunRef;

 };

//
//Solar reference model:
// Fractional mass:
//

 var mRef = function(){

    var mSunRef = [];
    mSunRef.length = numRefDeps();

    mSunRef = [2.9785E-5,
	       2.1881E-2,
	       1.0697E-1,
	       2.9605E-1,
	       5.0259E-1,
	       6.6394E-1,
	       7.7998E-1,
	       8.5999E-1,
	       9.1363E-1,
	       9.4869E-1,
	       9.7093E-1,
	       9.8450E-1,
	       9.9221E-1,
	       9.9633E-1,
	       9.9835E-1,
	       9.9928E-1,
	       9.9970E-1,
	       9.9987E-1,
	       9.9995E-1,
	       9.9998E-1];

     return mSunRef;

 };

//
//Solar reference model:
// temperature:
//
 var tRef = function(){

    var tSunRef = [];
    tSunRef.length = numRefDeps();

    tSunRef = [1.534E7,
	       1.429E7,
	       1.242E7,
	       9.879E6,
	       7.777E6,
	       6.301E6,
	       5.222E6,
	       4.373E6,
	       3.670E6,
	       3.052E6,
	       2.500E6,
	       1.923E6,
	       1.337E6,
	       9.250E5,
	       6.401E5,
	       4.433E5,
	       3.077E5,
	       2.143E5,
	       1.522E5,
	       1.109E5];

     return tSunRef;

 };

//
//Solar reference model:
// Mass density:
//
 var rhoRef = function(){

    var rhoSunRef = [];
    rhoSunRef.length = numRefDeps();

    rhoSunRef = [1.464E2,
	         1.144E2,
	         7.467E1,
	         3.937E1,
	         1.955E1,
	         9.581E0,
	         4.602E0,
	         2.188E0,
	         1.037E0,
	         4.960E-1,
	         2.409E-1,
	         1.245E-1,
	         7.202E-2,
	         4.141E-2,
	         2.390E-2,
	         1.384E-2,
	         7.972E-3,
	         4.551E-3,
	         2.581E-3,
	         1.438E-3];

     return rhoSunRef;

 };

//
//Solar reference model:
// "Pressure"  (Total?  Gas?)
//
 var pRef = function(){

    var pSunRef = [];
    pSunRef.length = numRefDeps();

    pSunRef = [2.258E17,
               1.798E17,
	       1.138E17,
	       5.126E16,
	       2.036E16,
	       8.089E15,
	       3.215E15,
	       1.278E15,
	       5.083E14,
	       2.021E14,
	       8.035E13,
	       3.195E13,
	       1.284E13,
	       5.108E12,
	       2.032E12,
	       8.088E11,
	       3.219E11,
	       1.273E11,
	       5.069E10,
	       2.018E10];

     return pSunRef;

 };


//
//Solar reference model:
// cumulative luminosity 
//
 var lRef = function(){

    var lSunRef = [];
    lSunRef.length = numRefDeps();

    lSunRef = [9.604E29,
	       6.108E32,
	       2.152E33,
	       3.488E33,
	       3.805E33,
	       3.846E33,
	       3.851E33,
	       3.852E33,
	       3.852E33,
	       3.852E33,
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33, 
	       3.851E33 
	       ];

     return lSunRef;

 };

//
//Solar reference model:
// mean opacity 
//
 var kRef = function(){

    var kSunRef = [];
    kSunRef.length = numRefDeps();

    kSunRef = [1.189E0,
	       1.298E0,
	       1.578E0,
	       2.181E0,
	       2.922E0,
	       3.590E0,
	       4.655E0,
	       6.081E0,
	       8.336E0,
	       1.096E1,
	       1.440E1,
	       2.183E1,
	       3.792E1,
	       6.590E1,
	       1.252E2,
	       2.822E2,
	       9.171E2,
	       2.762E3,
	       6.739E3,
	       1.675E4
	       ];

     return kSunRef;

 };

